#include "DataSetInterface.h"
#include "Measurable.h"

DataSetInterface::DataSetInterface() : maximum()
{
  this->sum = 0.0;
  this->count = 0;
}

void DataSetInterface::add(Measurable *x)
{
   this->sum += x->getMeasure();
   if (count == 0 || maximum->getMeasure() < x->getMeasure()) maximum = x;
   count++;
}

double DataSetInterface::getAverage()
{
   if (count == 0) return 0;
     else return sum/count;
}

Measurable *DataSetInterface::getMaximum()
{
   return maximum;
}
